%define Werror_cflags %{nil}
# rpath needed e.g. for /usr/libexec/RemoteZynAddSubFx
%global _cmake_skip_rpath %{nil}

Summary:	Linux MultiMedia Studio
Name:		lmms
Version:	0.4.13
Release:	%mkrel 6
Group:		Sound/Mixers
License:	GPLv2+
URL:		http://lmms.sourceforge.net/
Source:		http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		lmms-0.4.13-libexecdir.patch
Patch1:		lmms-0.4.13-vst-nowine.patch
Patch2:         lmms-0.4.13-system-fltk.patch
Patch3:		lmms-0.4.13-gcc47.patch
BuildRequires:	libSDL-devel
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libfftw-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	libfluidsynth-devel
BuildRequires:	libxft-devel
BuildRequires:	libxinerama-devel
BuildRequires:  fltk-devel
BuildRequires:	icoutils

%description
LMMS aims to be a free alternative to popular (but commercial and
closed- source) programs like FruityLoops/FL Studio, Cubase and Logic
allowing you to produce music with your computer.This includes
creation of loops, synthesizing and mixing sounds, arranging samples,
having fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those
of powerful synthesizers, samplers, effects etc. in a modern,
user-friendly and easy to use graphical user-interface.

Features

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%package devel
Summary:	Development package for %{name}
Group:		Development/C

%description devel
Development files and headers for %{name}.

%prep
%setup -q
%patch0 -p1 -b .libexecdir
%patch1 -p1 -b .nowine
%patch2 -p1 -b .fltk
%patch3 -p1 -b .gcc47

# remove spurious x-bits
find . -type f -exec chmod 0644 {} \;

%build
%cmake \
      -DWANT_SDL:BOOL=OFF \
      -DWANT_PORTAUDIO:BOOL=OFF \
      -DWANT_CAPS:BOOL=ON \
      -DWANT_TAP:BOOL=ON \
      -DWANT_SWH:BOOL=ON \
      -DWANT_CALF:BOOL=ON \
%ifarch %ix86
      -DWANT_VST:BOOL=ON \
%else
      -DWANT_VST:BOOL=OFF \
%endif
%ifarch x86_64
      -DWANT_VST_NOWINE:BOOL=ON \
%endif
      -DCMAKE_INSTALL_LIBDIR=%{_lib} \
      -DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
      ../
%make VERBOSE=1


%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,128x128,256x256}/apps
icotool -x -p 0 data/%{name}.ico
mv %{name}_*_32x32*.png %{name}.png
install -m 644 %{name}.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
mv %{name}_*_128x128*.png %{name}.png
install -m 644 %{name}.png %buildroot%_iconsdir/hicolor/128x128/apps/%{name}.png
mv %{name}_*_256x256*.png %{name}.png
install -m 644 %{name}.png %buildroot%_iconsdir/hicolor/256x256/apps/%{name}.png

rm -f %{buildroot}/%{_libdir}/%{name}/*.a %{buildroot}%{_datadir}/menu/*

%files
%doc README AUTHORS TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libexecdir}/RemoteZynAddSubFx
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%files devel
%{_includedir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.4.13-6.mga3
+ Revision: 358916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 dams <dams> 0.4.13-5.mga3
+ Revision: 322393
- update %%group for new policy

* Thu Jul 12 2012 dams <dams> 0.4.13-4.mga3
+ Revision: 270421
- Fix compilation flags to enable back ladspa (mga#6466)

* Wed Jun 20 2012 dams <dams> 0.4.13-3.mga3
+ Revision: 262020
- update icon for a better render
- add 'fltk-devel' as BuildRequires
- add patchs from fedora to fix mga#6466

* Wed Mar 14 2012 dams <dams> 0.4.13-2.mga2
+ Revision: 223369
- fix broken path for /usr/lib/lmms/*.so modules

* Mon Feb 06 2012 dams <dams> 0.4.13-1.mga2
+ Revision: 205607
- new version 0.4.13

* Sat Dec 10 2011 eatdirt <eatdirt> 0.4.12-2.mga2
+ Revision: 180396
- Rebuilt for fftw-3.3

* Thu Sep 08 2011 tv <tv> 0.4.12-1.mga2
+ Revision: 141154
- new release

* Thu Jun 16 2011 dams <dams> 0.4.11-1.mga2
+ Revision: 108007
- update to 0.4.11
- drop patch2

* Thu Mar 31 2011 dams <dams> 0.4.10-1.mga1
+ Revision: 79272
- Update patch
- Import, clean and update to 0.4.10
- imported package lmms

